# Chatbots

 - [POST /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postendusers.md): Create an end user.
 - [GET /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuserid.md): Get an end user by id.
 - [GET /v1/endusers/{userId}/conversations](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuseridconversations.md): Lists conversations requested by an end user. <br/> Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the [GET /conversati
 - [PUT /v1/conversations/{conversationId}/close](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidclose.md): Mark a conversation as closed by providing its id.
 - [PUT /v1/conversations/{conversationId}/followup](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidfollowup.md): Follow up a conversation by providing its id and expiration timestamp.
 - [PUT /v1/conversations/{conversationId}/transfer/queue](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidtransferqueue.md): Transfer a conversation to a target queue.
 - [POST /v1/conversations/{conversationId}/ratings/{ratingId}/submit](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsconversationidratingsratingidsubmit.md): Create a rating result for a specific conversation.
 - [POST /v1/conversations/{conversationId}/ratings/offer](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsconversationidratingsoffer.md): Create a rating offer for a specific conversation.
 - [POST /v1/conversations](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversations.md): Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
 - [POST /v1/conversations/import](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsimport.md): Import a previously created conversation into Dixa. For inbound messages the author is assumed to be the requester of the conversation (end user), unless the specific channel supports overriding the m
 - [PUT /v1/conversations/{conversationId}/claim](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidclaim.md): Claim a conversation for a given agent. To avoid taking over assigned conversations, set the `force` paremeter to false
 - [GET /v1/queues/{queueId}/availability](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getqueuesqueueidavailability.md): Get availability of supported channels for a given queue. Currently supported channels are adachat, kindlychat, digitalgeniuschat, genericapimessaging.
 - [GET /v1/queues/conversation-position/{csid}](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getqueuesconversation-positioncsid.md): Get the approximate position of a given conversation in its current queue.
